#
# spec file for package swayimg
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           swayimg
Version:        1.12
Release:        1.2
Summary:        Image viewer for Sway/Wayland
License:        MIT
URL:            https://github.com/artemsen/swayimg
Source:         https://github.com/artemsen/swayimg/archive/refs/tags/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  giflib-devel
BuildRequires:  hicolor-icon-theme
BuildRequires:  meson
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(OpenEXR)
BuildRequires:  pkgconfig(bash-completion)
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(fontconfig)
BuildRequires:  pkgconfig(json-c)
BuildRequires:  pkgconfig(libexif)
BuildRequires:  pkgconfig(libheif)
BuildRequires:  pkgconfig(libjxl)
BuildRequires:  pkgconfig(libpng16)
BuildRequires:  pkgconfig(librsvg-2.0)
BuildRequires:  pkgconfig(libtiff-4)
BuildRequires:  pkgconfig(libwebp)
BuildRequires:  pkgconfig(libwebpdemux)
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(wayland-protocols)
BuildRequires:  pkgconfig(xkbcommon)

%description
Swayimg is a lightweight image viewer for Wayland display servers.

In a Sway compatible mode, the viewer creates an "overlay" above
the currently active window, which gives the illusion that you are
opening the image directly in a terminal window.

%prep
%autosetup

%build
%meson
%meson_build

%install
%meson_install

%files
%license LICENSE
%doc README.md
%{_bindir}/swayimg
%{_datadir}/applications/swayimg.desktop
%{_datadir}/bash-completion/completions/swayimg
%{_datadir}/icons/hicolor/64x64/apps/swayimg.png
%{_mandir}/man1/swayimg.1%{?ext_man}
%{_mandir}/man5/swayimgrc.5%{?ext_man}
%{_datadir}/zsh/site-functions/_swayimg

%changelog
* Tue Jul 25 2023 Muhammad Akbar Yanuar Mantari <mantarimay@pm.me>
- Remove ldconfig scriptlets
* Mon Jul 24 2023 Muhammad Akbar Yanuar Mantari <mantarimay@pm.me>
- Initial package for openSUSE
